//    RW Props
// ==============
// Various Props, Gadgets & Accessories for Robowaifus : Anim Avatars edition
// -Part of the RW Foundations suite of libraries

// Filename: ./include/chibitsu/props/props.hpp
// -Declarations of the baseline RW Props library subsystem

#pragma once

#include "incls_all.hpp"

namespace rw::chibitsu::props {

//------------------------------------------------------------------------------
//   CONFETTI
//------------------------------------------------------------------------------
/**
 */
class Confetti_b : public RW {
 public:
  Confetti_b();                                    // default ctor
  explicit Confetti_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Confetti : public Confetti_b {
 public:
  Confetti();                                    // default ctor
  explicit Confetti(std::string const& handle);  // tag-parm'd ctor

  void toss();
};

//------------------------------------------------------------------------------
//   DUSTPAN
//------------------------------------------------------------------------------
/**
 */
class Dustpan_b : public RW {
 public:
  Dustpan_b();                                    // default ctor
  explicit Dustpan_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Dustpan : public Dustpan_b {
 public:
  Dustpan();                                    // default ctor
  explicit Dustpan(std::string const& handle);  // tag-parm'd ctor

  void scoop();
};

//------------------------------------------------------------------------------
//   FLAGS
//------------------------------------------------------------------------------
/**
 */
class Flags_b : public RW {
 public:
  Flags_b();                                    // default ctor
  explicit Flags_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Flags : public Flags_b {
 public:
  Flags();                                    // default ctor
  explicit Flags(std::string const& handle);  // tag-parm'd ctor

  void wave();
};

//------------------------------------------------------------------------------
//   POMPOMS
//------------------------------------------------------------------------------
/**
 */
class Pompoms_b : public RW {
 public:
  Pompoms_b();                                    // default ctor
  explicit Pompoms_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Pompoms : public Pompoms_b {
 public:
  Pompoms();                                    // default ctor
  explicit Pompoms(std::string const& handle);  // tag-parm'd ctor

  void cheer();
};

//------------------------------------------------------------------------------
//   TAMBOURINE
//------------------------------------------------------------------------------
/**
 */
class Tambourine_b : public RW {
 public:
  Tambourine_b();                                    // default ctor
  explicit Tambourine_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Tambourine : public Tambourine_b {
 public:
  Tambourine();                                    // default ctor
  explicit Tambourine(std::string const& handle);  // tag-parm'd ctor

  void shake();
};

//------------------------------------------------------------------------------
//   WHISK
//------------------------------------------------------------------------------
/**
 */
class Whisk_b : public RW {
 public:
  Whisk_b();                                    // default ctor
  explicit Whisk_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Whisk : public Whisk_b {
 public:
  Whisk();                                    // default ctor
  explicit Whisk(std::string const& handle);  // tag-parm'd ctor

  void sweep();
};

//------------------------------------------------------------------------------
//   WHISTLE
//------------------------------------------------------------------------------
/**
 */
class Whistle_b : public RW {
 public:
  Whistle_b();                                    // default ctor
  explicit Whistle_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Whistle : public Whistle_b {
 public:
  Whistle();                                    // default ctor
  explicit Whistle(std::string const& handle);  // tag-parm'd ctor

  void tweet();
};

///

}  // namespace rw::chibitsu::props

//    --=^=--

// "______"

// rw_chibitsu_lib.v220212
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
